

const require_AgentConfig = require('../../agent/AgentConfig.js');
const require_X509Service = require('./X509Service.js');
const require_X509ModuleConfig = require('./X509ModuleConfig.js');
const require_X509Api = require('./X509Api.js');

//#region src/modules/x509/X509Module.ts
/**
* @public
*/
var X509Module = class {
	constructor(options) {
		this.api = require_X509Api.X509Api;
		this.config = new require_X509ModuleConfig.X509ModuleConfig(options);
	}
	/**
	* Registers the dependencies of the sd-jwt-vc module on the dependency manager.
	*/
	register(dependencyManager) {
		dependencyManager.resolve(require_AgentConfig.AgentConfig).logger.warn("The 'X509' module is experimental and could have unexpected breaking changes. When using this module, make sure to use strict versions for all @credo-ts packages.");
		dependencyManager.registerInstance(require_X509ModuleConfig.X509ModuleConfig, this.config);
		dependencyManager.registerSingleton(require_X509Service.X509Service);
	}
};

//#endregion
exports.X509Module = X509Module;